<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	exclude-result-prefixes="msxml umbraco.library">


	<xsl:output method="html" omit-xml-declaration="yes" />

	<xsl:param name="currentPage"/>

	<!-- Input the documenttype you want here -->
	<xsl:variable name="level" select="2"/>

	<xsl:template match="/">
		<!-- The fun starts here -->
		<ul id="navlist">
			<xsl:for-each select="$currentPage/ancestor-or-self::* [@level=$level]/* [@isDoc and umbracoNaviHide != '1']">
	<li>
		<a href="{umbraco.library:NiceUrl(@id)}">
			<xsl:value-of select="@nodeName"/>
		</a>
	</li>
			</xsl:for-each>
			<li>
				<xsl:choose>
					<xsl:when test="umbraco.library:IsLoggedOn()">
						(Logged on)
					</xsl:when>
					<xsl:otherwise>
						(Not logged on)
					</xsl:otherwise>
				</xsl:choose>
			</li>
		</ul>

	</xsl:template>

</xsl:stylesheet>