<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>

<xsl:template match="/">

<!-- start writing XSLT -->
<xsl:variable name="orders" select="CommerceLibrary:GetMemberOrderHistory('New Order')"/>
  <table>
    <tr>
      <th>Order Number</th>
      <th>Date</th>
      <th>No. items</th>
      <th>Order Total</th>
    </tr>
    <xsl:for-each select="$orders/purchaseOrders/purchaseOrder">
      <tr>
        <td>
          <xsl:value-of select="@orderNumber"/>
        </td>
        <td>
          <xsl:value-of select="@createdDate"/>
        </td>
        <td>
          <xsl:value-of select="@productCount"/>
        </td>
        <td>
          <xsl:value-of select="CommerceLibrary:FormatCurrency(@orderTotal)"/>
        </td>
      </tr>
    </xsl:for-each>
  </table>
</xsl:template>

</xsl:stylesheet>