<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">

<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>

  <xsl:variable name="payment" select="CommerceLibrary:GetBasket()/purchaseOrder/payments/payment" />

  <xsl:template match="/">
  <form method="post" action="/shop/checkout/submit.aspx">
    <xsl:apply-templates select="CommerceLibrary:GetPaymentMethods('Shipment')/paymentMethods/paymentMethod" />
    <input type="submit" value="Confirm payment"></input>
    <div>
      <a href="/shop/checkout/shipping.aspx">Back</a>
    </div>
  </form>
</xsl:template>
  <xsl:template match="paymentMethod" >
    <input type="radio" name="paymentMethodInput" value="{@paymentMethodId}">
      <xsl:if test="@paymentMethodId = $payment/@paymentMethodId">
        <xsl:attribute name="checked">checked</xsl:attribute>
      </xsl:if>
      <xsl:value-of select="@displayName"/>
      <br/>
    </input>

  </xsl:template>
</xsl:stylesheet>