<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>

<xsl:template match="/">

  <xsl:variable name="isPostback" select="umbraco.library:RequestForm('submitBasket') "></xsl:variable>

  <xsl:if test="string-length($isPostback) > 0">
    <xsl:value-of select="CommerceLibrary:ExecuteBasketPipeline()"></xsl:value-of>
    <xsl:variable name="result" select="CommerceLibrary:Checkout()"></xsl:variable>
  </xsl:if>

</xsl:template>

</xsl:stylesheet>