﻿<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxml="urn:schemas-microsoft-com:xslt"
  xmlns:umbraco.library="urn:umbraco.library"
  xmlns:CommerceLibrary="urn:CommerceLibrary"
  exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


	<xsl:output method="xml" omit-xml-declaration="yes"/>

	<xsl:template match="/">

		<xsl:variable name="productReviewId" select="umbraco.library:RequestQueryString('reportReviewAsAbuse')"/>
		<xsl:variable name="productReviewCommentId" select="umbraco.library:RequestQueryString('reportCommentAsAbuse')"/>

			<!-- Call add product review method -->
			<xsl:choose>
				<xsl:when test="string-length($productReviewId) > 0">
					<xsl:variable name="reportReviewAsAbuse" select="CommerceLibrary:ReportProductReviewAsAbuse($productReviewId)"/>
				</xsl:when>
				<xsl:when test="string-length($productReviewCommentId) > 0">
					<xsl:variable name="reportCommentAsAbuse" select="CommerceLibrary:ReportProductReviewCommentAsAbuse($productReviewCommentId)"/>
				</xsl:when>
			</xsl:choose>
			<!-- <xsl:variable name="pipelineResult" select="CommerceLibrary:ExecuteBasketPipeline()"></xsl:variable> -->
	</xsl:template>

</xsl:stylesheet>