<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>

<xsl:variable name="basket" select="CommerceLibrary:GetBasket()"></xsl:variable>

<xsl:template match="/">

  <xsl:choose>
    <xsl:when test="$basket/purchaseOrder/@productCount > 0">
      Your basket contains <xsl:value-of select="$basket/purchaseOrder/@productCount"/> item(s). for a total of <xsl:value-of select="$basket/purchaseOrder/@orderTotal"/> (<a href="/shop/checkout/cart.aspx">Checkout</a>)
    </xsl:when>
    <xsl:otherwise>
      Your basket is empty.
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>